Project

General

Profile

Setting up Eclipse for Replicant 4.0

Added by James Adams about 4 years ago

Hello! I just got the Replicant 4.0 SDK working with Eclipse (Indigo) in Trisquel GNU/Linux. The SDK installation guide in the wiki is a little out of date. The wiki recommends downloading an older version of eclipse and ADT 0.9.8, but neither of these is compatible with the Replicant 4.0 SDK.

Here are the steps I followed (Trisquel GNU/Linux):

===============================================================

1) Download and extract the Replicant 4 SDK:
[http://ftp.osuosl.org/pub/replicant/sdk/replicant-4.0/0001/]]

2) Install Eclipse

sudo aptitude install eclipse

3) Download ADT v16 from google's adt archives:
[[http://dl.google.com/android/ADT-16.0.0.zip]]

4) Launch Eclipse then install ADT from the ADT 16 archive.
Help> Install New Software> <Add> <Archive> /path/to/adt/archive

5) Configure Eclipse to use the Replicant sdk for android:
Window> Preferences> Android> SDK Location> /path/to/your/replicant-sdk_linux-x86

Now, you should see the android API level 15 build target appear.

====================================================================

I think that the ADT 16 licensing is okay. When I was installing from the archive, the only licenses I agreed to were Apache.
Now to build some free games for F-Droid! ;)


Replies (8)

RE: Setting up Eclipse for Replicant 4.0 - Added by Paul Kocialkowski about 4 years ago

Thanks for noticing. The current SDK page still has Replicant 2.2 instructions indeed: we should move these to a 2.2-specific page and include new instructions as for the 4.0 release or we could also leave it up to people like you to explain what they've done to make it work through the forums, I don't know what's best.

If we are going to move the old content to another page, would you be willing to write a new guide for the 4.0 SDK?

RE: Setting up Eclipse for Replicant 4.0 - Added by James Adams about 4 years ago

Definitely. I would be glad to contribute in any way that I can :) Would I edit the wiki directly or send that to you?

RE: Setting up Eclipse for Replicant 4.0 - Added by Paul Kocialkowski about 4 years ago

Basically, I think people only use the latest versions of things, and there is a history log anyway, so you might as well update/replace/rewrite what's already in the SDK page.
You should have the wiki author permissions now. Keep in mind that with great power comes great responsibility (don't mess up the wiki yo)!

RE: Setting up Eclipse for Replicant 4.0 - Added by James Adams about 4 years ago

I edited the page here: http://redmine.replicant.us/projects/replicant/wiki/SDK - I didn't change anything too drastically as to avoid messing up the wiki! - I just edited the original text with some updated links/ version numbers, etc...

Thinking about relying ADT from Google's archives - Since newer versions of ADT require proprietary licensing agreements, are there any plans to develop a custom Replicant ADT plugin? This might be necessary good idea for anything higher than api level 15.

RE: Setting up Eclipse for Replicant 4.0 - Added by Paul Kocialkowski about 4 years ago

Thanks! Yes indeed, we could release an ADT plugin as well, but I wonder whether that's really necessary, since Android development doesn't require eclipse anyway. Though if we're going to talk about it, we need a free version of it. I don't really have time to look into it, but it's worth opening a new ticket on our issue tracker so that we can keep trace of it. Could you take care of opening the ticket and adding all the relevant infos?

RE: Setting up Eclipse for Replicant 4.0 - Added by James Adams about 4 years ago

I added issue #657 "Replicant RDT Plugin for Eclipse" under Features. I wouldn't mind seeing if I could lend a hand in creating the plugin - though, it might take me a little time to get up to speed as I am not very familiar with writing eclipse plugins!

RE: Setting up Eclipse for Replicant 4.0 - Added by Paul Kocialkowski about 4 years ago

Good job, thanks. I don't promise the issue will be resolved soon, but at least it's reported as an issue.

RE: Setting up Eclipse for Replicant 4.0 - Added by Paul Kocialkowski about 4 years ago

See #657 for the current status of ADT and Eclipse support in Replicant.

    (1-8/8)